%define upstream_name       Email-Send
%define upstream_version 2.202

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Simply Sending Email
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Email/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd)
BuildRequires: perl(Email::Abstract)
BuildRequires: perl(Email::Address) >= 1.800.0
BuildRequires: perl(Email::Simple) >= 1.920.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(MIME::Entity)
BuildRequires: perl(Mail::Internet)
BuildRequires: perl(Module::Pluggable) >= 2.970.0
BuildRequires: perl(Net::SMTP)
BuildRequires: perl(Return::Value)
BuildRequires: perl(Scalar::Util) >= 1.20.0
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::More)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

Requires:   perl(Email::Date::Format)
%description
This module provides a very simple, very clean, very specific interface to
multiple Email mailers. The goal of this software is to be small and simple,
easy to use, and easy to extend.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml eg
%{perl_vendorlib}/Email
%{_mandir}/*/*

%changelog
* Sat Aug 24 2024 tv <tv> 2.202.0-1.mga10
+ Revision: 2090886
- update to 2.202

* Sun Mar 20 2022 umeabot <umeabot> 2.201.0-6.mga9
+ Revision: 1803492
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.201.0-5.mga8
+ Revision: 1494446
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 2.201.0-4.mga7
+ Revision: 1267849
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 2.201.0-3.mga6
+ Revision: 1026911
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 2.201.0-2.mga6
+ Revision: 967322
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 2.201.0-1.mga6
+ Revision: 848711
- update to 2.201

* Sun Oct 19 2014 umeabot <umeabot> 2.199.0-5.mga5
+ Revision: 788739
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 2.199.0-4.mga5
+ Revision: 740769
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.199.0-3.mga5
+ Revision: 684627
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.199.0-2.mga4
+ Revision: 532297
- Mageia 4 Mass Rebuild

* Mon Aug 19 2013 sander85 <sander85> 2.199.0-1.mga4
+ Revision: 467825
- update to 2.199

* Sun Jan 13 2013 umeabot <umeabot> 2.198.0-3.mga3
+ Revision: 366838
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 2.198.0-2.mga1
+ Revision: 31953
- mageia rebuild
- imported package perl-Email-Send

